CairoContext::copyPage
CairoContext::copyPathFlat
CairoContext
PHP Manual

# CairoContext::copyPath

# cairo_copy_path

(PECL cairo >= 0.1.0)

CairoContext::copyPath -- cairo_copy_path — Creates a copy of the current path

### Description

Object oriented style (method):

public CairoPath CairoContext::copyPath ( void )

Procedural style:

CairoPath cairo_copy_path ( CairoContext `$context` )

Creates a copy of the current path and returns it to the user as a CairoPath. See CairoPath for hints on how to iterate over the returned data structure.

This function will always return a valid CairoPath object, but the result will have no data, if either of the following conditions hold:

- 1. If there is insufficient memory to copy the path. In this case CairoPath->status will be set to CAIRO_STATUS_NO_MEMORY.
- 2. If `context` is already in an error state. In this case CairoPath->status will contain the same status that would be returned by cairo_status().

In either case, CairoPath->status will be set to CAIRO_STATUS_NO_MEMORY (regardless of what the error status in cr might have been).

### Parameters

`context`

  A valid CairoContext object created with CairoContext::__construct() or cairo_create()

### Return Values

A copy of the current CairoPath in the context

### Examples

Example #1 Object oriented style

`<?php
$surface = new CairoImageSurface(CairoFormat::ARGB32, 50, 50);
$context = new CairoContext($surface);
var_dump($context->copyPath())
?>`

The above example will output something similar to:

    object(CairoPath)#3 (0) {
    }

Example #2 Procedural style

`<?php
$surface = cairo_image_surface_create(CAIRO_FORMAT_ARGB32, 50, 50);
$context = cairo_create($surface);
var_dump(cairo_copy_path($context));
?>`

The above example will output something similar to:

    object(CairoPath)#3 (0) {
    }

### See Also

- CairoContext::closePath() - Closes the current path

CairoContext::copyPage
CairoContext::copyPathFlat
CairoContext
PHP Manual